\name{olbm}
\alias{olbm}
\title{Overlapping Batch Means}
\description{
    Variance of sample mean of time series calculated using overlapping
    batch means.
}
\usage{
olbm(x, batch.length, demean = TRUE)
}
\arguments{
  \item{x}{a matrix or time series object.  Each column of \code{x} is
      treated as a scalar time series.}
  \item{batch.length}{length of batches.}
  \item{demean}{when \code{demean = TRUE} (the default) the sample mean
      is subtracted from each batch mean when estimating the variance.
      Using \code{demean = FALSE} would essentially assume the true mean
      is known to be zero, which might be useful in a toy problem where
      the answer is known.}
}
\value{
  The estimated variance of the sample mean.
}
\seealso{
  \code{\link{ts}}
}
\examples{
library(ts)
x <- arima.sim(n = 2e3, list(ar = 0.9))
x <- matrix(x, ncol = 2, byrow = TRUE)
olbm(x, 30)
}
\keyword{ts}
